{% set active_page = (p.active or p.activeChild) ? 'text-secondary ' : '' %}
<div @click.away="open = false" x-data="{ open: false }" class="md:mx-4 md:w-full" >
    {% if p.children.visible.count > 0 %}
        <button @click="open = !open" :class="{ 'text-primary': open, '{{ active_page }}': !open }" class="md:w-1/2 lg:w-2/5 px-4 py-2 flex flex-row items-center justify-start w-full text-left bg-transparent relative tracking-wider">
            {% if p.header.image_menu %}
                <img class="hidden md:block h-auto md:w-20 xl:w-32 sm:h-10 md:h-16 object-cover" src="/{{ (p.header.image_menu|first).path }}" >
            {% else %}
                <div class="hidden md:block h-auto md:w-20 xl:w-32 sm:h-10 md:h-16 flex align-middle justify-center">
                    <img class="bg-primary/25 p-1 w-full h-full object-contain" src="{{ url('theme://images/logo_header/' ~ (theme_var('logo_header')|first).name) }}" alt="{{ site.title }}" />
                </div>
            {% endif %}
            <div class="grow flex justify-between md:mx-4 items-center">
                <span class="relative md:px-6">{{ p.menu }}</span><i class="fa-solid fa-chevron-right"></i>
            </div>
        </button>
        <ul x-show="open"
            x-transition:enter="transform transition ease-in-out duration-500 md:transform-none md:transition-none md:duration-0"
            x-transition:enter-start="translate-x-full"
            x-transition:enter-end="translate-x-0"
            x-transition:leave="transform transition ease-in-out duration-500 md:transform-none md:transition-none md:duration-0"
            x-transition:leave-start="translate-x-0"
            x-transition:leave-end="translate-x-full"
            class="absolute md:left-1/2 lg:left-[40%]  top-0 bottom-0 left-0 right-0 md:m-8 bg-white z-50">
            <button @click="open = !open" class="{{ active_page }} flex flex-row items-center justify-between w-full text-left bg-secondary p-4 md:hidden tracking-wider text-white">
                <span>{{ 'ETD_MENU_TABS.BUTTONS.BACK'|t }}</span><i class="fa-solid fa-rotate-left"></i>
            </button>
            {{ macros.submenu_loop(p, level+1) }}
        </ul>
    {% else %}
        <a href="{{ p.url }}" class="{{ active_page }} md:w-1/2 lg:w-2/5 px-4 py-2 flex flex-row items-center justify-start w-full text-left bg-transparent relative tracking-wider">
            {% if p.header.image_menu %}
                <img class="hidden md:block h-auto md:w-20 xl:w-32 sm:h-10 md:h-16 object-cover" src="/{{ (p.header.image_menu|first).path }}" >
            {% else %}
                <div class="hidden md:block h-auto md:w-20 xl:w-32 sm:h-10 md:h-16 flex align-middle justify-center">
                    <img class="bg-primary/25 p-1 w-full h-full object-contain" src="{{ url((theme_var('logo_header')|first).path) }}" alt="{{ site.title }}" />
                </div>
            {% endif %}
            <div class="grow flex justify-between md:mx-4">
                <span >{{ p.menu }}</span>
            </div>
        </a>
    {% endif %}
</div>
